ConfirmPaymentIntentRequest

Request to confirm a payment intent.

customerId
string

The unique identifier of the customer record that identifies the customer in the Toast platform. The identifier is used to retrieve the customer's payment methods saved to their profile.

email
string

The email address of the customer making the payment. Must consist of the following characters: a-z, A-Z, 0-9, =, ., -, _, +, @, :, &, ^, %, !, $. An email address is required for digital or online transactions and must be provided at least once during the payment intent workflow by including it in the request body of the create payment intent, update payment intent, or confirm payment intent request.

paymentMethodId
string

The identifier of the payment method associated to this payment intent.

sessionSecret
string

A unique and randomized identifier for this payment intent that can be used to create payment methods via iframe and SDKs.

{
  • "paymentMethodId": "string",
  • "sessionSecret": "string",
  • "email": "string",
  • "customerId": "string"
}